import { TeamProfile } from '@parlor/common';
export declare const useTeamProfile: () => {
    teamProfiles: TeamProfile[];
    teamProfile: TeamProfile;
    setDefaultProfile: (teamProfile: any) => Promise<void>;
    isLoading: boolean;
    isRefetching: boolean;
    hasMore: any;
    refetching: boolean;
    client: import("@apollo/client").ApolloClient<any>;
    observable: import("@apollo/client").ObservableQuery<import("@parlor/common").TeamProfileListQuery, import("@parlor/common").Exact<{
        filter?: import("@parlor/common").TeamProfileFilter;
        paging?: import("@parlor/common").CursorPaging;
        sorting?: import("@parlor/common").TeamProfileSort | import("@parlor/common").TeamProfileSort[];
    }>>;
    data: import("@parlor/common").TeamProfileListQuery;
    previousData?: import("@parlor/common").TeamProfileListQuery;
    error?: import("@apollo/client").ApolloError;
    loading: boolean;
    networkStatus: import("@apollo/client").NetworkStatus;
    called: boolean;
    variables: import("@parlor/common").Exact<{
        filter?: import("@parlor/common").TeamProfileFilter;
        paging?: import("@parlor/common").CursorPaging;
        sorting?: import("@parlor/common").TeamProfileSort | import("@parlor/common").TeamProfileSort[];
    }>;
    startPolling: (pollInterval: number) => void;
    stopPolling: () => void;
    subscribeToMore: <TSubscriptionData = import("@parlor/common").TeamProfileListQuery, TSubscriptionVariables = import("@parlor/common").Exact<{
        filter?: import("@parlor/common").TeamProfileFilter;
        paging?: import("@parlor/common").CursorPaging;
        sorting?: import("@parlor/common").TeamProfileSort | import("@parlor/common").TeamProfileSort[];
    }>>(options: import("@apollo/client").SubscribeToMoreOptions<import("@parlor/common").TeamProfileListQuery, TSubscriptionVariables, TSubscriptionData>) => () => void;
    updateQuery: <TVars = import("@parlor/common").Exact<{
        filter?: import("@parlor/common").TeamProfileFilter;
        paging?: import("@parlor/common").CursorPaging;
        sorting?: import("@parlor/common").TeamProfileSort | import("@parlor/common").TeamProfileSort[];
    }>>(mapFn: (previousQueryResult: import("@parlor/common").TeamProfileListQuery, options: Pick<import("@apollo/client").WatchQueryOptions<TVars, import("@parlor/common").TeamProfileListQuery>, "variables">) => import("@parlor/common").TeamProfileListQuery) => void;
    refetch: (variables?: Partial<import("@parlor/common").Exact<{
        filter?: import("@parlor/common").TeamProfileFilter;
        paging?: import("@parlor/common").CursorPaging;
        sorting?: import("@parlor/common").TeamProfileSort | import("@parlor/common").TeamProfileSort[];
    }>>) => Promise<import("@apollo/client").ApolloQueryResult<import("@parlor/common").TeamProfileListQuery>>;
    reobserve: (newOptions?: Partial<import("@apollo/client").WatchQueryOptions<import("@parlor/common").Exact<{
        filter?: import("@parlor/common").TeamProfileFilter;
        paging?: import("@parlor/common").CursorPaging;
        sorting?: import("@parlor/common").TeamProfileSort | import("@parlor/common").TeamProfileSort[];
    }>, import("@parlor/common").TeamProfileListQuery>>, newNetworkStatus?: import("@apollo/client").NetworkStatus) => Promise<import("@apollo/client").ApolloQueryResult<import("@parlor/common").TeamProfileListQuery>>;
    fetchMore: <TFetchData = import("@parlor/common").TeamProfileListQuery, TFetchVars = import("@parlor/common").Exact<{
        filter?: import("@parlor/common").TeamProfileFilter;
        paging?: import("@parlor/common").CursorPaging;
        sorting?: import("@parlor/common").TeamProfileSort | import("@parlor/common").TeamProfileSort[];
    }>>(fetchMoreOptions: import("@apollo/client").FetchMoreQueryOptions<TFetchVars, TFetchData> & {
        updateQuery?: (previousQueryResult: import("@parlor/common").TeamProfileListQuery, options: {
            fetchMoreResult: TFetchData;
            variables: TFetchVars;
        }) => import("@parlor/common").TeamProfileListQuery;
    }) => Promise<import("@apollo/client").ApolloQueryResult<TFetchData>>;
};
